import { ChangeDetectorRef } from '@angular/core';
import { SdFormGenericTable } from '../../../../../models';
import { BuilderService } from '../../../services';
import * as i0 from "@angular/core";
export declare class TableControl {
    #private;
    private ref;
    private builderService;
    component: SdFormGenericTable;
    set _component(component: SdFormGenericTable);
    constructor(ref: ChangeDetectorRef, builderService: BuilderService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableControl, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableControl, "table-control", never, { "_component": { "alias": "component"; "required": true; }; }, {}, never, never, true, never>;
}
